Debian Bug report logs - #693244
etw: doesn't save and load important configurations

version graph

Package: etw; Maintainer for etw is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for etw is src:etw.

Reported by: Markus Koschany <apo@gambaru.de>

Date: Wed, 14 Nov 2012 16:39:01 UTC

Severity: serious

Tags: patch

Found in version etw/3.6+svn140-3

Fixed in version etw/3.6+svn140-4

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#693244; Package etw. (Wed, 14 Nov 2012 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Nov 2012 16:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: etw: doesn't save and load important configurations
Date: Wed, 14 Nov 2012 17:34:14 +0100
Package: etw
Version: 3.6+svn140-3
Severity: serious

I intend to adopt etw and while i was preparing a new version for it i
discovered that the configuration can't be saved and loaded which
makes it impossible to preserve important aspects of the game like
keyboard, video or sound configuration permanently. 

Hence i think this bug should be fixed for wheezy because it impairs
the overall usability of etw. 

I'll attach a patch today which will enable saving and loading of the configuration
from the user's home directory. The same patch will also restore the
ability to save and view replays of matches by also saving them to
$HOME/.etw.  

Note: Viewing a replay which was recorded in arcade mode leads to a
segfault. Other game modes seem to work as intended. I don't think
that the segfaults are related to the patch. Most likely one of the
bugs is responsible which is already mentioned in /usr/share/doc/etw/.





-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages etw depends on:
ii  etw-data            3.6+svn140-3
ii  libatk1.0-0         2.4.0-2
ii  libc6               2.13-35
ii  libcairo2           1.12.2-2
ii  libfontconfig1      2.9.0-7
ii  libfreetype6        2.4.9-1
ii  libgdk-pixbuf2.0-0  2.26.1-1
ii  libglib2.0-0        2.33.12+really2.32.4-3
ii  libgtk2.0-0         2.24.10-2
ii  libpango1.0-0       1.30.0-1
ii  libsdl1.2debian     1.2.15-5

etw recommends no packages.

etw suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#693244; Package etw. (Wed, 14 Nov 2012 17:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Nov 2012 17:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 693244@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693244@bugs.debian.org
Cc: control@bugs.debian.org
Subject: etw: doesn't save and load important configurations
Date: Wed, 14 Nov 2012 18:15:32 +0100
[Message part 1 (text/plain, inline)]
tags 693244 patch
thanks

Attached is the patch as a debdiff. I will looking for a sponsor now.
[etw.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 14 Nov 2012 17:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#693244; Package etw. (Fri, 16 Nov 2012 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 16 Nov 2012 19:15:08 GMT) Full text and rfc822 format available.

Message #17 received at 693244@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693244@bugs.debian.org
Subject: etw: doesn't save and load important configurations
Date: Fri, 16 Nov 2012 20:12:52 +0100
[Message part 1 (text/plain, inline)]
After some more testing i've discovered another way to trigger a
segfault by pressing SPACE while watching a replay. All in all this
function is way to buggy and i think it's better to disable it for now.

I've updated the patch and also the README.Debian file so that the users
know why this function has been disabled. 

My request for sponsorship is bug #693249
[etw.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#693244; Package etw. (Sun, 18 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 18 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 693244@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693244@bugs.debian.org
Subject: etw: doesn't save and load important configurations
Date: Sun, 18 Nov 2012 14:41:39 +0100
[Message part 1 (text/plain, inline)]
Attached is a new debdiff. I've changed the relevant part of the code which
is responsible for opening the configuration file in $HOME. It should be
more secure now.


[etw.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Thu, 22 Nov 2012 03:06:06 GMT) Full text and rfc822 format available.

Notification sent to Markus Koschany <apo@gambaru.de>:
Bug acknowledged by developer. (Thu, 22 Nov 2012 03:06:06 GMT) Full text and rfc822 format available.

Message #27 received at 693244-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693244-close@bugs.debian.org
Subject: Bug#693244: fixed in etw 3.6+svn140-4
Date: Thu, 22 Nov 2012 03:02:33 +0000
Source: etw
Source-Version: 3.6+svn140-4

We believe that the bug you reported is fixed in the latest version of
etw, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693244@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated etw package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Nov 2012 19:41:55 +0100
Source: etw
Binary: etw etw-data
Architecture: source amd64 all
Version: 3.6+svn140-4
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 etw        - arcade-style soccer game
 etw-data   - graphics and audio data for etw
Closes: 544922 693244
Changes: 
 etw (3.6+svn140-4) unstable; urgency=low
 .
   * New Maintainer. (Closes: #544922)
   * Eat the Whistle will be maintained in a Git repository from now on.
     Change the Vcs-fields in debian/control accordingly.
   * debian/patches:
     Add 0005-change-configuration-path.patch.
     Load configuration in $HOME/.etw/ instead of
     /usr/share/games/etw and stop failing silently. (Closes: #693244)
   * Update README.Debian.
Checksums-Sha1: 
 1248723fcd4a619da2dac25189e3266bf5f3e64f 2638 etw_3.6+svn140-4.dsc
 0252363ef28468ccd48c24585d1c70a758171991 11746 etw_3.6+svn140-4.diff.gz
 42089e8adef454a4ec039a20677a89e677699620 179776 etw_3.6+svn140-4_amd64.deb
 c1312a3e57538d02924a07ea8c47ff6bfe9b3eb3 8052712 etw-data_3.6+svn140-4_all.deb
Checksums-Sha256: 
 67da63ea475d4514323df6b6c5f7a6768577effa8007484ebce74a69c1554127 2638 etw_3.6+svn140-4.dsc
 acf480a0eebb670dc5a8c23f3c9be1b7ee23f6faaba58b3f69d90ed6853b809d 11746 etw_3.6+svn140-4.diff.gz
 1a645ab309590c8785447debbc826889218731f68518ed2c432c3be74db8b7f4 179776 etw_3.6+svn140-4_amd64.deb
 e4b5b14a805063ff631e739e68999fea4c6547d6736073a038151597ed41de6e 8052712 etw-data_3.6+svn140-4_all.deb
Files: 
 d8d29fb99b7b5a28aafa9998db81732b 2638 games optional etw_3.6+svn140-4.dsc
 30d06701abbfd50191d9a45befa5c9b0 11746 games optional etw_3.6+svn140-4.diff.gz
 f6d9c059022879eda1f0cd775c37a808 179776 games optional etw_3.6+svn140-4_amd64.deb
 f2895fa7d770052833c063028fc09350 8052712 games optional etw-data_3.6+svn140-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJQrZPDAAoJELjWss0C1vRz4b4f/iGgdut4XzXngrna8tVGtTmn
q6U9ZOEFU+cgPX79GdBoLOSVCItSnYFwfSaekql5lnKzb+JOcmtValMnTPI7AGJo
YFg7T0+tBXRP8Uipvv0O4dQrrtrMfro99Up18LhblZt06e2jqsq/4GKAcGVyuUKS
f7kDYG8Qgeh/MAoCGaKfgca1aCzPsYMhxNiKpfk33PFqKrO791kwMHg4XYBcQRbY
0+rCrZ2RTqsRDjmWdT7xJ4L80Wvdb1rbUaPlIGANy+P9h/euWTUcob7Iy6XXHi0v
E7bCMqvY5WC1EgsOXQaLd7n9JbHfCAYP44ufkUi478DwWNDQHg/j2/BCQiI7X+mu
siiqFkD3qfZXdgFw4+mGapBzpNxaSBXylWYzh/xbDI6xKlb6R2tGx4a5wF0M6nIa
v0LYsjfXJrHC6rppmLvA1108awl0uLSWQCaZ+h0QFC8nxxU0BWWvT/Degv/ZJpB0
gzVg8Tj7OX1uvi964ecTgJY3dMuZp7TyXNKKR1IRZyT3pzvgsa85RTzzhlJNc5l2
PpQQBAzqDouMaz2zG4pWT9HFGkIkZWyfRWFFzc1od1r+MlwX6LoHMb+xMI3gdgtm
haY//FGTrYmrar8C/Gp7UvgRJ8IzJ+7bMGL9lzPkDEeVeHgSR97rPx/cql+XmqIg
9bgWtI28i5Qgvkzy+rUGPjrh9rrnCTNUPauEZbjqh0ZmMmIE52sEc1LoGaiRcidl
RH7APj55BfcoKFLAtYylKGo9Q77rn90Lb3LDuBTuzX5e5bA2Chw2ZY6CrS71FgEq
FuLbIS1s66lkWzCyffO2S4TGzhZkFq2AB7CdFNcTkPZhmY/T4VbK59ARiMCU6fdx
ySfl7kk7kWMYiV2zKfSirtV282XK1tzw8zXMWJUhUf94XQshreC5NEuX0KrMUZ6w
M+xv7yvv2vEdRI8dHWNUQFnZoE2O8GfMkV7jADNRgIdRbLnZ2/aFSShFEf9PhI4A
LyMQ7ZX92HIrvCzwPR8K1zCu78ZR0tvOmySP0UVOJ+30p13ZBWBMi7+IzEv+Yq0T
GFuk3EhHvnSz7/r6lYXyc95AiesRBvLEuqxiGwvYihO/zCoUxfSSsOj8CszQaE8I
I/oCcw34DqI5Kr4xaoFox59EdlQWATwNMaVU9oWSDajUGgO9efPBgkFbwuf8nZ70
MgMcIMhqWJQXUqSnyys109xMn1qUV+q3BLbfKWwC/yxd9BV/e9WXk8FZhsQ+fPUJ
ZIy/UdoJ1EiYo1wUJylKOUE/8cSNSzaOzjdffdo0wvKEcTvsThhZH86/FU/nXUQl
MFNO9+ID7z6UwROVTeBceIXqIh+McoP+tfIlmubfUjxW+k5IWT7ZwUwwZXqURUw=
=jnCy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Dec 2012 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:54:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.